CONFIG.GUESS(1)

NAME
config.guess - guess the build system triplet

SYNOPSIS
config.guess [OPTION]

DESCRIPTION
The GNU build system distinguishes three types of machines, the `build' machine on which the compilers are run, the `host' machine on which the package being built will run, and, exclusively when you build a compiler, assembler etc., the `target' machine, for which the compiler being built will produce code. This script will guess the type of the `build' machine.

Output the configuration name of the system `config.guess' is run on.

  Operation modes:

-h, --help
    print this help, then exit

-t, --time-stamp
    print date of last modification, then exit

-v, --version
    print version number, then exit

ENVIRONMENT VARIABLES
config.guess might need to compile and run C code, hence it needs a compiler for the `build' machine: use the environment variable `CC_FOR_BUILD' to specify the compiler for the build machine. If `CC_FOR_BUILD' is not specified, `CC' will be used. Be sure to specify `CC_FOR_BUILD' is `CC' is a cross-compiler to the `host' machine.
  CC_FOR_BUILD a native C compiler, defaults to `cc'
  CC a native C compiler, the previous variable is preferred

REPORTING BUGS
Report bugs and patches to <config-patches@gnu.org>.

Originally written by Per Bothner.
Copyright © 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012
Free Software Foundation, Inc.

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
autoconf(1), automake(1), autoreconf(1), autoupdate(1), autoheader(1), autoscan(1), config.guess(1), config.sub(1), ifnames(1), libtool(1).